com.jogamp.opengl.util.texture.awt

## Class AWTTextureData

- java.lang.Object
- - com.jogamp.opengl.util.texture.TextureData
  - - com.jogamp.opengl.util.texture.awt.AWTTextureData

-     public class AWTTextureData
      extends TextureData

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.jogamp.opengl.util.texture.TextureData

      `TextureData.ColorSpace, TextureData.Flusher`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AWTTextureData(GLProfile glp, int internalFormat, int pixelFormat, boolean mipmap, BufferedImage image)` Constructs a new TextureData object with the specified parameters and data contained in the given BufferedImage.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Buffer` | `getBuffer()` Returns the texture data, or null if it is specified as a set of mipmaps.
    `GLPixelBuffer.GLPixelAttributes` | `getPixelAttributes()` Returns the intended OpenGL `GLPixelBuffer.GLPixelAttributes` of the texture data, i.e.
    `int` | `getPixelFormat()` Returns the intended OpenGL pixel format of the texture data using `TextureData.getPixelAttributes()`.
    `int` | `getPixelType()` Returns the intended OpenGL pixel type of the texture data using `TextureData.getPixelAttributes()`.

    - ### Methods inherited from class com.jogamp.opengl.util.texture.TextureData

      `destroy, flush, getAlignment, getBorder, getColorSpace, getEstimatedMemorySize, getGLProfile, getHeight, getInternalFormat, getMipmap, getMipmapData, getMustFlipVertically, getRowLength, getWidth, isDataCompressed, setAlignment, setBorder, setBuffer, setColorSpace, setHaveEXTABGR, setHaveGL12, setHeight, setInternalFormat, setIsDataCompressed, setMipmap, setMustFlipVertically, setPixelAttributes, setPixelFormat, setPixelType, setRowLength, setWidth, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AWTTextureData

          public AWTTextureData(GLProfile glp,
                        int internalFormat,
                        int pixelFormat,
                        boolean mipmap,
                        BufferedImage image)

      Constructs a new TextureData object with the specified parameters and data contained in the given BufferedImage. The resulting TextureData "wraps" the contents of the BufferedImage, so if a modification is made to the BufferedImage between the time the TextureData is constructed and when a Texture is made from the TextureData, that modification will be visible in the resulting Texture.
      Parameters:
        `glp` - the OpenGL Profile this texture data should be created for.
        `internalFormat` - the OpenGL internal format for the resulting texture; may be 0, in which case it is inferred from the image's type
        `pixelFormat` - the OpenGL internal format for the resulting texture; may be 0, in which case it is inferred from the image's type (note: this argument is currently always ignored)
        `mipmap` - indicates whether mipmaps should be autogenerated (using GLU) for the resulting texture
        `image` - the image containing the texture data

  - ### Method Detail

    - #### getPixelAttributes

          public GLPixelBuffer.GLPixelAttributes getPixelAttributes()

      Description copied from class: `TextureData`
      Returns the intended OpenGL `GLPixelBuffer.GLPixelAttributes` of the texture data, i.e. format and type.
      Overrides:
        `getPixelAttributes` in class `TextureData`

    - #### getPixelFormat

          public int getPixelFormat()

      Description copied from class: `TextureData`
      Returns the intended OpenGL pixel format of the texture data using `TextureData.getPixelAttributes()`.
      Overrides:
        `getPixelFormat` in class `TextureData`

    - #### getPixelType

          public int getPixelType()

      Description copied from class: `TextureData`
      Returns the intended OpenGL pixel type of the texture data using `TextureData.getPixelAttributes()`.
      Overrides:
        `getPixelType` in class `TextureData`

    - #### getBuffer

          public Buffer getBuffer()

      Description copied from class: `TextureData`
      Returns the texture data, or null if it is specified as a set of mipmaps.
      Overrides:
        `getBuffer` in class `TextureData`

Copyright 2010 JogAmp Community.